#include <bits/stdc++.h>
#define ll long long
using namespace std;
ll pare,novcanice[100000010];
int main (){
    scanf("%lld",&pare);
    int pos=1;
    long long puta=1;
    while(puta<=pare){
        pos++;
        novcanice[pos]=puta*1;
        if(puta*2>pare){
            break;
        }
        pos++;
        novcanice[pos]=puta*2;
        if(puta*5>pare){
            break;
        }
        pos++;
        novcanice[pos]=puta*5;
        puta*=10;
    }
    long long p=pare;
    long long res=0;
    while(p>=1){
        if(p==1){
            res++;
            break;
        }
        res+=p/novcanice[pos];
        p=p%novcanice[pos];
        pos--;
    }
    printf("%lld\n",res);
return 0;
}